Skip to main content
GET
/
customer
/
get_customers
Customer - Get Customers
curl --request GET \
  --url https://api.skulabs.com/customer/get_customers \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "507f1f77bcf86cd799439011",
    "name": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "address": {},
    "company": "<string>",
    "tags": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ],
    "store_id": "507f1f77bcf86cd799439011",
    "price_lists": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

selector
object
required

Query selector object for filtering results

limit
number

Max results to return

Example:

50

skip
number

Number of results to skip

Example:

0

sort
object

Sort fields object, e.g. { "name": 1 }

Response

Array of customers

_id
string
required

Unique customer identifier

Example:

"507f1f77bcf86cd799439011"

name
string

Customer name

phone
string

Phone number

email
string

Email address

address
object

Customer address object

company
string

Company name

tags
string[]

Array of tag IDs (ObjectId strings referencing the tag collection)

Example:
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
store_id
string

Associated store ID

Example:

"507f1f77bcf86cd799439011"

price_lists
string[]

Assigned price list IDs